Bug 965818 - content search output in 2.2 is very different from 2.1
content search output in 2.2 is very different from 2.1
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 15:43 EDT by Preethi Thomas
Modified: 2013-09-10 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-05-21 15:43:47 EDT
Description of problem:
2.2 content search output is different from 2.1

Version-Release number of selected component (if applicable):

[root@preethi ~]#  rpm -q pulp-server
pulp-server-2.2.0-0.11.alpha.fc17.noarch

How reproducible:


Steps to Reproduce:
[root@preethi ~]# pulp-admin rpm repo content rpm --repo-id f18 --str-eq name=ConsoleKit
Arch:         x86_64
Checksum:     a033432b3f8f7a9faa3b9a14d2685930b29b777f94855abc73bce9f60df349a3
Checksumtype: sha256
Description:  ConsoleKit is a system daemon for tracking what users are logged
              into the system and how they interact with the computer (e.g.
              which keyboard and mouse they use).  It provides asynchronous
              notification via the system message bus.
Epoch:        0
License:      GPLv2+
Name:         ConsoleKit
Provides:     
  Epoch:   0
  Flags:   EQ
  Name:    ConsoleKit
  Release: 3.fc18
  Version: 0.4.5
  Epoch:   0
  Flags:   EQ
  Name:    ConsoleKit(x86-64)
  Release: 3.fc18
  Version: 0.4.5
  Epoch:   0
  Flags:   EQ
  Name:    config(ConsoleKit)
  Release: 3.fc18
  Version: 0.4.5
Release:      3.fc18
Requires:     
  Epoch:   None
  Flags:   None
  Name:    /bin/sh
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    /bin/sh
  Release: None
  Version: None
  Epoch:   0
  Flags:   GE
  Name:    dbus
  Release: None
  Version: 0.90
  Epoch:   0
  Flags:   GE
  Name:    dbus-glib
  Release: None
  Version: 0.70
  Epoch:   None
  Flags:   None
  Name:    libc.so.6(GLIBC_2.4)(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libck-connector.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libdbus-1.so.3()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libdbus-glib-1.so.2()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libgio-2.0.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libglib-2.0.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libgobject-2.0.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libgthread-2.0.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libpolkit-gobject-1.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libpthread.so.0()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libpthread.so.0(GLIBC_2.2.5)(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    librt.so.1()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    libz.so.1()(64bit)
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    rtld(GNU_HASH)
  Release: None
  Version: None
Vendor:       None
Version:      0.4.5


[root@preethi ~]# pulp-admin rpm repo content rpm --repo-id z00 --str-eq name=chimpanzee
Arch:         noarch
Checksum:     5aa8b0eb10a974a02639ffea7c10d7dab93f82c4d08c32b00b5677e638fd4da6
Checksumtype: sha256
Description:  A dummy package of chimpanzee
Epoch:        0
License:      GPLv2
Name:         chimpanzee
Provides:     
  Epoch:   0
  Flags:   EQ
  Name:    chimpanzee
  Release: 1
  Version: 0.21
Release:      1
Requires:     
  Epoch:   None
  Flags:   None
  Name:    squirrel
  Release: None
  Version: None
  Epoch:   None
  Flags:   None
  Name:    walrus
  Release: None
  Version: None
Vendor:       None
Version:      0.21




Here is the output from 2.1


[root@ibm-x3550m3-07 ~]#  pulp-admin rpm repo content rpm --repo-id z00 --str-eq name=chimpanzee
Arch:         noarch
Buildhost:    smqe-ws15
Checksum:     5aa8b0eb10a974a02639ffea7c10d7dab93f82c4d08c32b00b5677e638fd4da6
Checksumtype: sha256
Description:  A dummy package of chimpanzee
Epoch:        0
Filename:     chimpanzee-0.21-1.noarch.rpm
License:      GPLv2
Name:         chimpanzee
Provides:     [[u'chimpanzee', u'EQ', [u'0', u'0.21', u'1']]]
Release:      1
Requires:     [[u'walrus', None, [None, None, None]], [u'squirrel', None, [None,
              None, None]]]
Vendor:       
Version:      0.21





[root@preethi ~]# 


Actual results:


Expected results:


Additional info:
Comment 1 Jeff Ortel 2013-06-04 11:54:47 EDT
build: 2.2.0-0.1.beta
Comment 2 Preethi Thomas 2013-06-05 15:08:51 EDT
verified
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.1.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo content rpm --repo-id f18-disk --str-eq name=ConsoleKit
Arch:         x86_64
Buildhost:    buildvm-22.phx2.fedoraproject.org
Checksum:     a033432b3f8f7a9faa3b9a14d2685930b29b777f94855abc73bce9f60df349a3
Checksumtype: sha256
Description:  ConsoleKit is a system daemon for tracking what users are logged
              into the system and how they interact with the computer (e.g.
              which keyboard and mouse they use).  It provides asynchronous
              notification via the system message bus.
Epoch:        0
Filename:     ConsoleKit-0.4.5-3.fc18.x86_64.rpm
License:      GPLv2+
Name:         ConsoleKit
Provides:     ConsoleKit = 0.4.5-3.fc18-0, ConsoleKit(x86-64) = 0.4.5-3.fc18-0,
              config(ConsoleKit) = 0.4.5-3.fc18-0
Release:      3.fc18
Requires:     /bin/sh, /bin/sh, dbus >= 0.90-0, dbus-glib >= 0.70-0,
              libc.so.6(GLIBC_2.4)(64bit), libck-connector.so.0()(64bit),
              libdbus-1.so.3()(64bit), libdbus-glib-1.so.2()(64bit),
              libgio-2.0.so.0()(64bit), libglib-2.0.so.0()(64bit),
              libgobject-2.0.so.0()(64bit), libgthread-2.0.so.0()(64bit),
              libpolkit-gobject-1.so.0()(64bit), libpthread.so.0()(64bit),
              libpthread.so.0(GLIBC_2.2.5)(64bit), librt.so.1()(64bit),
              libz.so.1()(64bit), rtld(GNU_HASH)
Vendor:       None
Version:      0.4.5


[root@hp-dl360g6-01 ~]# 


[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo content rpm --repo-id zoo --str-eq name=chimpanzee
Arch:         noarch
Buildhost:    None
Checksum:     5aa8b0eb10a974a02639ffea7c10d7dab93f82c4d08c32b00b5677e638fd4da6
Checksumtype: sha256
Description:  A dummy package of chimpanzee
Epoch:        0
Filename:     chimpanzee-0.21-1.noarch.rpm
License:      None
Name:         chimpanzee
Provides:     
Release:      1
Requires:     
Vendor:       None
Version:      0.21
Comment 3 Preethi Thomas 2013-09-10 11:43:31 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.